# Port

Starts a TCP server on the specified port.

This parameter applies to imtcp: TCP Syslog Input Module.

Name:

  Port

Scope:

  input

Type:

  string (see Rsyslog Parameter String Constants)

Default:

  input=none

Required?:

  yes

Introduced:

  at least 5.x, possibly earlier

## Description

Starts a TCP server on the selected port. If port zero is selected, the OS automatically assigns a free port. Use `listenPortFileName` to learn which port was assigned.

## Input usage

    input(type="imtcp" port="514")

### Legacy names (for reference)

Historic names/directives for compatibility. Do not use in new configs.

- $InputTCPServerRun — maps to Port (status: legacy)

## See also

See also imtcp: TCP Syslog Input Module.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.